<?php

/**
 * @file
 * Theme implementation for displaying affiliate store product page.
 *
 * Available variables:
 * - $message: Storefront message.
 * - $trail: User selection trail, like menu breadcrumb, from
 *   theme_affiliate_store_trail().
 * - $browse_title: Browse fieldset title.
 * - $browse_items: Browse fieldset category links.
 * - $browse: Fieldset for browsing products based on list of category links
 *   output from theme_item_list().
 * - $products: Product nodes from taxonomy_render_nodes() that match the
 *   current filter criteria. Pager will be included automatically.
 * - $term: Full term object, empty when at storefront. Contains data that may
 *   not be safe.
 * - $term_name: Name of term, empty when at storefront.
 * - $tid: Product term ID, 0 when at storefront.
 * - $vid: Product vocabulary ID, 0 when at storefront.
 *
 * Other variables:
 * - $user: Full user object. Contains data that may not be safe.
 * - $zebra: Outputs either "even" or "odd". Useful for zebra striping in
 *   teaser listings.
 * - $id: Position of the node. Increments each time it's output.
 *
 * Page status variables:
 * - $is_front: Flags true when presented in the front page.
 * - $logged_in: Flags true when the current user is a logged-in member.
 * - $is_admin: Flags true when the current user is an administrator.
 *
 * @see template_preprocess_affiliate_store()
 */
?>
<div id="affiliate-store">
  <?php if ($message): ?>
    <div class="affiliate-store-message">
      <?php print $message; ?>
    </div>
  <?php endif; ?>

  <?php print $trail; ?>

  <div id="affiliate-store-term-<?php print $tid; ?>" class="affiliate-store-vocab-<?php print $vid; ?>">
    <?php if ($browse): ?>
      <div class="affiliate-store-browse">
        <?php print $browse; ?>
      </div>
    <?php endif; ?>

    <div class="affiliate-store-content">
      <?php print $products; ?>
    </div>
  </div>
</div>
