<?php

/**
 * @file
 * Views field handler for affiliate store product image.
 */

/**
 * Field handler for affiliate store product image.
 *
 * Convert a product image URL into HTML image element.
 *
 * @ingroup views_field_handlers
 */
class affiliate_store_handler_field_product_image extends views_handler_field {
  /**
   * Render a product image URL into HTML image element.
   */
  function render($values) {
    // Use product title as image ALT attribute.
    $title = !empty($values->node_title) ? $values->node_title : '';
    $url = $values->{$this->field_alias};
    return $url ? theme('image', $url, $title, $title, NULL, FALSE) : '';
  }
}
